org.eclnt.jsfserver.elements.componentnodes

## Class UI5CC_TIMERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5CC_TIMERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5CC_TIMERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5CC_TIMERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5CC_TIMERNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5CC_TIMERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5CC_TIMERNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5CC_TIMERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5CC_TIMERNode` | `bindDuration(IDynamicContentBindingObject value)`
    `UI5CC_TIMERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5CC_TIMERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5CC_TIMERNode` | `setActionListener(java.lang.String value)`
    `UI5CC_TIMERNode` | `setAdapterbinding(java.lang.String value)`
    `UI5CC_TIMERNode` | `setAttributemacro(java.lang.String value)`
    `UI5CC_TIMERNode` | `setComment(java.lang.String value)`
    `UI5CC_TIMERNode` | `setConfiginfo(java.lang.String value)`
    `UI5CC_TIMERNode` | `setDuration(int value)`
    `UI5CC_TIMERNode` | `setDuration(java.lang.String value)`
    `UI5CC_TIMERNode` | `setId(java.lang.String value)`
    `UI5CC_TIMERNode` | `setReference(java.lang.String value)`
    `UI5CC_TIMERNode` | `setRendered(boolean value)`
    `UI5CC_TIMERNode` | `setRendered(java.lang.String value)`
    `UI5CC_TIMERNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5CC_TIMERNode

          public UI5CC_TIMERNode()

  - ### Method Detail

    - #### setId

          public UI5CC_TIMERNode setId(java.lang.String value)

    - #### setActionListener

          public UI5CC_TIMERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5CC_TIMERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5CC_TIMERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5CC_TIMERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5CC_TIMERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5CC_TIMERNode setComment(java.lang.String value)

    - #### bindComment

          public UI5CC_TIMERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5CC_TIMERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5CC_TIMERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDuration

          public UI5CC_TIMERNode setDuration(java.lang.String value)

    - #### bindDuration

          public UI5CC_TIMERNode bindDuration(IDynamicContentBindingObject value)

    - #### setDuration

          public UI5CC_TIMERNode setDuration(int value)

    - #### setReference

          public UI5CC_TIMERNode setReference(java.lang.String value)

    - #### setRendered

          public UI5CC_TIMERNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5CC_TIMERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5CC_TIMERNode setRendered(boolean value)

    - #### setStylevariant

          public UI5CC_TIMERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5CC_TIMERNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.